searchData={"items":[{"type":"module","title":"YoutubeCaptions","doc":"Youtube captions downloader. Exposes a single function `get_subtitles/3`.\n\nFetching is done using library Req. You can pass additional options to `Req.get/2` as 3rd argument.","ref":"YoutubeCaptions.html"},{"type":"module","title":"Examples - YoutubeCaptions","doc":"iex> YoutubeCaptions.get_subtitles(\"JvBT4XBdoUE\", \"en\")\n    {:ok,\n    [\n      %{start: 0.99, text: \"[Music]\", duration: 6.87},\n      %{start: 14.42, text: \"thank you so hello everyone and thank\", duration: 3.66},\n      %{start: 16.67, text: \"you for joining me in this talk where\", duration: 3.93},\n      %{start: 18.08, text: \"we're going to explore the legacy of Joe\", duration: 3.99},\n      %{start: 20.6, text: \"Armstrong the principal inventor of\", duration: 4.74},\n      %{start: 22.07, text: \"Erlang who unfortunately recently passed\", duration: 5.82},\n      %{start: 25.34, text: \"away and so Joe sadly will not be with\", duration: 3.18},\n      %{start: 27.89, text: \"us anymore\", duration: 2.88},\n      ...\n    ]}","ref":"YoutubeCaptions.html#module-examples"},{"type":"function","title":"YoutubeCaptions.get_subtitles/3","doc":"Downloads subtitles of YouTube video. You have to specify `video_id` and optionally language. Defaults to `en`.\n\nFetching is done using library Req. If you want, you can pass additional params to `Req.get/2` using 3rd argument.","ref":"YoutubeCaptions.html#get_subtitles/3"},{"type":"function","title":"Examples - YoutubeCaptions.get_subtitles/3","doc":"iex> YoutubeCaptions.get_subtitles(\"JvBT4XBdoUE\", \"en\")\n    {:ok,\n    [\n      %{start: 0.99, text: \"[Music]\", duration: 6.87},\n      %{start: 14.42, text: \"thank you so hello everyone and thank\", duration: 3.66},\n      ...\n    ]}\n\n    iex> YoutubeCaptions.get_subtitles(\"JvBT4XBdoUE\", \"de\")\n    {:error, \"Unable to find transcript for language de\"}\n\n    iex> YoutubeCaptions.get_subtitles(\"invalid\", \"en\")\n    {:error, \"Could not find captions for video\"}","ref":"YoutubeCaptions.html#get_subtitles/3-examples"},{"type":"type","title":"YoutubeCaptions.caption/0","doc":"","ref":"YoutubeCaptions.html#t:caption/0"},{"type":"type","title":"YoutubeCaptions.lang/0","doc":"","ref":"YoutubeCaptions.html#t:lang/0"},{"type":"type","title":"YoutubeCaptions.req_options/0","doc":"","ref":"YoutubeCaptions.html#t:req_options/0"},{"type":"type","title":"YoutubeCaptions.video_id/0","doc":"","ref":"YoutubeCaptions.html#t:video_id/0"},{"type":"extras","title":"YoutubeCaptions","doc":"# YoutubeCaptions\n[![Module Version](https://img.shields.io/hexpm/v/youtube_captions.svg)](https://hex.pm/packages/youtube_captions)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/youtube_captions/)\n[![Total Download](https://img.shields.io/hexpm/dt/youtube_captions.svg)](https://hex.pm/packages/youtube_captions)\n[![License](https://img.shields.io/hexpm/l/youtube_captions.svg)](https://github.com/Valian/youtube_captions/blob/main/LICENSE.md)\n\nAn elixir library for fetching Youtube Captions without API key. Uses [Req](https://github.com/wojtekmach/req) under the hood.","ref":"readme.html"},{"type":"extras","title":"Installation - YoutubeCaptions","doc":"The package can be installed by adding `youtube_captions` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:youtube_captions, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAnd run `mix deps.get`.","ref":"readme.html#installation"},{"type":"extras","title":"Usage - YoutubeCaptions","doc":"First find video identifier. You can find it in the YouTube URL `?v=VIDEO_ID`.\n\nThen you can download captions by calling `YoutubeCaptions.get_subtitles(video_id, language)`. Language is optional and defaults to `en`. \n\nIf successfull, you'll get list of subtitles in format `%{start: float(), duration: float(), text: String.t()}`\n\n#","ref":"readme.html#usage"},{"type":"extras","title":"Examples - YoutubeCaptions","doc":"```elixir\nYoutubeCaptions.get_subtitles(\"JvBT4XBdoUE\", \"en\")\n\n#=> {:ok,\n#=>   [\n#=>     %{start: 0.99, text: \"[Music]\", duration: 6.87},\n#=>     %{start: 14.42, text: \"thank you so hello everyone and thank\", duration: 3.66},\n#=>     ...\n#=>   ]}\n\n# You can customize Req options by passing third parameter\nYoutubeCaptions.get_subtitles(\"JvBT4XBdoUE\", \"en\", receive_timeout: 10_000)\n\n```","ref":"readme.html#examples"},{"type":"extras","title":"Credits - YoutubeCaptions","doc":"Heavily inspired by [youtube-captions-scraper](https://github.com/algolia/youtube-captions-scraper).","ref":"readme.html#credits"},{"type":"extras","title":"License - YoutubeCaptions","doc":"Copyright © 2023-present Jakub Skałecki\n\n    This work is free. You can redistribute it and/or modify it under the\n    terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#license"}],"content_type":"text/markdown"}